scanner compatability

Forum rules
Before you post please read this
Post Reply
DarinB
Level 4
Level 4
Posts: 251
Joined: Fri Feb 12, 2010 11:32 am

scanner compatability

Post by DarinB » Wed Jan 07, 2015 1:32 pm

I am thinking of purchasing a Canon Office Products LiDE220 Document Scanner
on lm17 will it work? and with xsane?

Thank you

pdc_2
Level 8
Level 8
Posts: 2419
Joined: Mon May 11, 2009 1:21 am

scanner compatability for Lide 220

Post by pdc_2 » Wed Jan 07, 2015 2:36 pm

Hi Darin

from here http://www.sane-project.org/sane-mfgs.html#Z-CANON your device is not listed;

UPDATE: from here https://www.mail-archive.com/sane-devel ... 31893.html I see the developers on SANE said last September "Hello, it is a new genesys chip revision. Not datasheet known for this one. This work would be complicated. Regards, Stef"

............so any linux user should for now keep away from the 220

______________

does the retailer stock the earlier 210? We bought a second-hand Canoscan N650U and it has performed perfectly

I see on ebay Uk that there are 210 devices being sold; I imagine the 200 would also be listed there

http://www.ebay.co.uk/sch/i.html?_sop=1 ... 210&_frs=1

________

for completeness, I see the good folks at Vuescan http://www.hamrick.com/vuescan/canon.html offer support for the 220: some folks running linux systems object to spending cash, but if one is willing to pay the folks at vuescan, one can seemingly get the 220 working; similarly for printers, Turboprint http://www.turboprint.info/ offers a working product

DarinB
Level 4
Level 4
Posts: 251
Joined: Fri Feb 12, 2010 11:32 am

Re: scanner compatability

Post by DarinB » Thu Jan 08, 2015 9:38 am

wow thank you so much! Great info I will look for the 210

DarinB
Level 4
Level 4
Posts: 251
Joined: Fri Feb 12, 2010 11:32 am

Re: scanner compatability

Post by DarinB » Tue Jan 13, 2015 10:07 pm

I purchased the canoscan N650u as listed above and on the xsane compatability chart.
I can use the app simple scan no problem, but xsane only scans a small part of the page. I am not sure how to get xsane to work, I need to scan the documents into pdf form. it seem that simple scan app doesn't do that.

any ideas? on xsane or how to get simple scan to create a pdf instead of jpeg?

Kendoori
Level 4
Level 4
Posts: 398
Joined: Thu Jul 09, 2009 12:51 pm
Location: Sanibel, FL USA

Re: scanner compatability

Post by Kendoori » Tue Jan 13, 2015 10:18 pm

I use SimpleScan all the time to save to PDF. After scanning, just click on the file type selector in lower left.
Selection_062.png
You may also want to try Gscan2pdf (http://gscan2pdf.sourceforge.net/)

DarinB
Level 4
Level 4
Posts: 251
Joined: Fri Feb 12, 2010 11:32 am

Re: scanner compatability

Post by DarinB » Tue Jan 13, 2015 10:57 pm

Thanks it works fine now.

I tried the Gscan2pdf too complicated.

I am tired of complicated. the simple scan is great for what I need.

I am not sure how to make the settings give me the best text pdf scan.
I have it set to max quality darkest brightness and max contrast at 1200dpi but the quality is still not that great and I can't see a difference unless I conpare it to 150dpi.

what combination of the above would give me the best scan of document text only.

Kendoori
Level 4
Level 4
Posts: 398
Joined: Thu Jul 09, 2009 12:51 pm
Location: Sanibel, FL USA

Re: scanner compatability

Post by Kendoori » Wed Jan 14, 2015 8:16 am

Much is dependent on the scanner itself. Are you scanning as photo or text? I find text works well even at 150 dpi

Image

Dyfi
Level 4
Level 4
Posts: 242
Joined: Fri Nov 27, 2009 7:25 am

Re: scanner compatability

Post by Dyfi » Wed Jan 14, 2015 9:56 am

For text using simple scan I always set 300dpi.

mintamico
Level 1
Level 1
Posts: 10
Joined: Sun Mar 04, 2012 4:12 pm

Re: scanner compatability

Post by mintamico » Mon Feb 16, 2015 10:16 am

I confused canon lide220 with the older models and bought it by mistake. Unfortunately, it doesn't work with linuxmint at all. Which I soon found out.
Here is a link to where it is stated that in the next few months it should work: http://lists.alioth.debian.org/pipermai ... 33132.html

By the way, as I needed some scans quite urgently I installed an old harddisk of mine with Win XP on it and added it to grub... was the easiest and fastest solution for the time being. (no network installed on that OS! :wink: )

pdc_2
Level 8
Level 8
Posts: 2419
Joined: Mon May 11, 2009 1:21 am

Canon LiDE 220 support coming very soon

Post by pdc_2 » Thu Feb 26, 2015 7:45 pm

good news on the sane-development list; the hard-working developers there hope to have the 220 supported in a month or so; so that will be good for anyone wishing to buy one of these hi-spec scanners

Yfrwlf
Level 3
Level 3
Posts: 129
Joined: Sat Jun 08, 2013 7:46 pm

Re: Canon LiDE 220 support coming very soon

Post by Yfrwlf » Sat Sep 12, 2015 3:38 pm

pdc_2 wrote:good news on the sane-development list; the hard-working developers there hope to have the 220 supported in a month or so; so that will be good for anyone wishing to buy one of these hi-spec scanners
The 220 scanner shows as supported on the unstable/development SANE branch here.

The problem is, Linux Mint uses the stable branch, so the support won't land until that support gets merged into the stable branch, and those packages are added to Mint.

It appears there is no other way, aside from building the entire new unstable version from git yourself, or perhaps using a PPA if one exists for it. It'd be really great if SANE was modularized so that you could run load the individual drivers into an older version of SANE. That way users could download those individual drivers and load them. Would make things much easier!

lmuserx4849

Re: Canon LiDE 220 support is here, sort of?

Post by lmuserx4849 » Tue Jun 14, 2016 2:17 am

I need a replacement scanner for some projects and was looking at the Canon - CanoScan LiDE220 Flatbed Image Scanner too.

I reviewed the supported scanners..

For the liDE 220 it shows complete support with sane-genesys. But if I look at the man page or /etc/sane.d/genesys.conf, 220 is not there.

dpkg -S '*genesys*' shows it is in package libsane. I checked the PPA's.

So I came here, searched, and found this entry. Users are looking at compiling the source? Hhhhmmm..., has anyone done it and wouldn't mind sharing the steps.

Would this work?
It seems the 220 is very similar to the 210. The 220 has extra buttons, like scan to cloud --- and those buttons usually aren't functional anyway. I wonder if a user just added an entry in the genesys.conf file if it would work with the sane stable. The info necessary is listed on the sane-project web site (0x04a9/0x190f). That would be nice :-)

Yfrwlf's idea of, "if SANE was modularized" would be great.

I was reading this review. There was an update to it that said the review was done before Window's 10 and now users are having compatibility issues. I grinned, the grass isn't always greener :-) Way down in the comments (have to hit load more) there is one comment and one reply regarding linux (Rubin110 • 9 months ago, "No stable Linux support yet. :(".). The reply said the "Canon LiDE 110" worked really well on Linux.

Update:
I might also try: CompileSaneFromSource.

lmuserx4849

Re: scanner compatability - PPA for backend - Yeh!

Post by lmuserx4849 » Mon Jun 20, 2016 1:51 am

This was an EXCELLENT post @askubuntu: SANE Support for Canon LiDE 220?

...
I'm using Lide220 without problem. You need to install the latest sane drivers from git. Follow this link for directions.

Also note that I had to remove USB3 support from my motherboard BIOS to have the Lide220 work flawlessly 100% of the times.
...
1) In fact there's now a sane-git PPA for getting the latest drivers pre-built: launchpad.net/~rolfbensch/+archive/ubuntu/sane-git (currently not quite solving my Lide220 problem, but better than out-of-the-box on 15.04) – andybuckley Jul 23 '15 at 11:27
It's relatively current. It mentions a PPA for the sane backends. The PPA is current/active and available for 17.3 (trusty)!!!

Yfrwlf
Level 3
Level 3
Posts: 129
Joined: Sat Jun 08, 2013 7:46 pm

Re: scanner compatability

Post by Yfrwlf » Tue Jul 05, 2016 10:06 pm

I was able to get my Cannon CanoScan LiDE 220 scanner with a PPA, and now hopefully shouldn't have this issue due to Linux Mint 18 being out! :D

lmuserx4849

Re: scanner compatability

Post by lmuserx4849 » Tue Jul 05, 2016 11:55 pm

Yfrwlf wrote:I was able to get my Cannon CanoScan LiDE 220 scanner with a PPA, and now hopefully shouldn't have this issue due to Linux Mint 18 being out! :D
I'm on 17.3. Also added ppa, https://launchpad.net/~rolfbensch/+arch ... u/sane-git, and updated libsane. This scanner works beautifully.

Post Reply

Return to “Printers & Scanners”